# User profile / Notendaupplýsingar

#### **Introduction**

The User Profile API is now accessible via Straumurinn (X-Road). This service is a REST API that provides access to user profiles on Island.is. A user profile contains the following information

* `nationalId` - Users national id
* `email` - Users email address
* `mobilePhoneNumber`  - Users mobile phone number
* `locale` - Users preferred locale setting, `"en" "is"`
* `mobilePhoneNumberVerified` - Has the user verified their mobile phone number via two-factor authentication
* `emailVerified` - Has the user verified their email address via two-factor authentication
* `documentNotifications` - Boolean indicating if user has document notifications turned on or off
* `emailNotifications` - Boolean indicating if user has email notifications turned on or off
* `profileImageUrl` - Link to the users profile image
* `needsNudge`  - Boolean indicating if the users should be nudged to update their user profile information
* `lastNudge` - Date of when the user was last nudged to update their user profile information
* `nextNudge` - Date of when the user will be nudged next to update their user profile information
* `isRestricted` - The user has not been nudged to update their user profile information since the migration of user profiles to island.is

#### **Access for Government Organisations**

Government organisations can integrate with this service by:

1. Creating a **Machine to Machine Client (Application)** in the **IDS Admin**.
2. Requesting access for this client to the user profile API endpoints via Island.is support.

#### **Available Endpoints**

Once access is granted, organisations can use the following API endpoints:

* **GET** `/v2/users/{national-id}` – Fetch a specific user's profile using their national ID. The query parameter clientType can be ignored.
* **GET** `/v2/users/{to-national-id}/actor-profiles/{from-national-id}` – Retrieve actor profiles.

#### **API Documentation**

The full **OpenAPI Documentation** for this service is available [here](https://island.is/en/o/digital-iceland/webservices/SVNfR09WXzU1MDE2OTI4MjlfaXNsYW5kLWlzX3VzZXItcHJvZmlsZQ).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.devland.is/products/user-profile-notendaupplysingar.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
